<?php

require_once INTENSE_PLUGIN_FOLDER .  '/shortcodes/custom-post/custom-post-shortcode.php';

class Intense_Clients extends Intense_Custom_Post {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Clients', 'intense' );
		$this->description = __( 'Show off your clients with numerous different layouts. Use any of the templates provided for the Blog shortcode, or create your own templates.', 'intense' );
		$this->custom_post_type = 'intense_clients';
		$this->taxonomy = 'intense_clients_category';		
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "intense_clients";

		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "intense_clients_category";

		return parent::shortcode( $atts, $content );
	}
}